Package org.apache.sling.scripting.sightly.compiler.commands

## Class StatefulVisitor.StateControl

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.StatefulVisitor.StateControl

Enclosing class:
  StatefulVisitor

    public final class StatefulVisitor.StateControl
    extends Object

### Constructor Summary

Constructors
`StateControl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CommandVisitor` `pop()`
`void` `push​(CommandVisitor visitor)`
`CommandVisitor` `replace​(CommandVisitor visitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StateControl

    public StateControl()

### Method Detail

#### push

    public void push​(CommandVisitor visitor)

#### pop

    public CommandVisitor pop()

#### replace

    public CommandVisitor replace​(CommandVisitor visitor)